Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.update
Class UpdateManagerImpl

    java.lang.Object
      com.sun.mdm.index.update.UpdateManagerImpl

All Implemented Interfaces:
  UpdateManager

public class UpdateManagerImpl
extends java.lang.Object
implements UpdateManager

Field Summary
`(package private) static java.lang.String` | `CHANGES_NEW`
`(package private) static java.lang.String` | `CHANGES_REMOVED`

Constructor Summary
`UpdateManagerImpl()` Constructor to create update manager.

Method Summary
`UpdateResult` | `activateEnterprise(java.sql.Connection con, EnterpriseObject eo, java.lang.String user)` Activates a particular EnterpriseObject
`void` | `addHelper(EnterpriseObject beforeEO, EnterpriseObject curEO, java.util.Map changes)` Helper method for unmerging enterprise objects.
`UpdateResult` | `createEnterpriseObject(java.sql.Connection con, SystemObject so)` creates an EnterpriseObject given a SystemObject.
`UpdateResult` | `createEnterpriseObject(java.sql.Connection con, SystemObject[] so)` creates an EnterpriseObject given a SystemObject.
`UpdateResult` | `deactivateEnterprise(java.sql.Connection con, EnterpriseObject eo, java.lang.String user)` Deactivates a particular EnterpriseObject
`UpdateResult` | `mergeEnterprise(java.sql.Connection con, EnterpriseObject srcEO, EnterpriseObject destEO, int flags, java.lang.String user)` Merges two `EnterpriseObject` by transfering all of the `SystemObject` from the source to the destination.
`UpdateResult` | `mergeEnterprise(java.sql.Connection con, EnterpriseObject srcEO, EnterpriseObject destEO, java.lang.String srcRevisionNumber, java.lang.String destRevisionNumber, int flags, java.lang.String user)` Merges two `EnterpriseObject` by transfering all of the `SystemObject` from the source to the destination.
`UpdateResult` | `mergeSystem(java.sql.Connection con, EnterpriseObject srcEO, EnterpriseObject destEO, java.lang.String system, java.lang.String lid, SystemObject newSO, int flags, java.lang.String user)` Merge two system objects from two EnterpriseObjects.
`UpdateResult` | `mergeSystem(java.sql.Connection con, EnterpriseObject srcEO, java.lang.String system, java.lang.String lid, SystemObject newSO, int flags, java.lang.String user)` merge two LID within the same EnterpriseObject and update the existing SystemObject with values from newSO
`void` | `removeHelper(EnterpriseObject beforeEO, java.util.Map changes)` Helper method for unmerging enterprise objects.
`UpdateResult` | `removeSystem(java.sql.Connection con, EnterpriseObject srcEO, java.lang.String system, java.lang.String lid, java.lang.String user)` Removes a System Object from a Enterprise Object
`java.util.Map` | `sameEO(EnterpriseObject eo1, EnterpriseObject eo2)` identify which SO's are common to both EO's
`UpdateResult` | `splitSystem(java.sql.Connection con, java.lang.String system, java.lang.String lid, EnterpriseObject eo, java.lang.String user)` Splits a SystemObject from its current EnterpriseObject and assign it to a new EnterpriseObject
`UpdateResult` | `splitSystem(java.sql.Connection con, SystemObject so, EnterpriseObject eo, java.lang.String user)` Splits a SystemObject from its current EnterpriseObject and assign it to a new EnterpriseObject
`UpdateResult` | `transferSystem(java.sql.Connection con, EnterpriseObject srcEO, EnterpriseObject destEO, java.lang.String system, java.lang.String lid, java.lang.String user)` Transfer system object from source Enterprise Object to destination Enterprise Object
`UpdateResult` | `unmergeEnterprise(java.sql.Connection con, java.lang.String transactionID, int flag, java.lang.String user)` unmerges an EnterpriseObject merge transaction
`void` | `unmergeHelper(EnterpriseObject beforeEO, EnterpriseObject curEO, java.util.Map changes)` Helper method for unmerging enterprise objects.
`UpdateResult` | `unmergeSystem(java.sql.Connection con, java.lang.String transactionID, int flag, java.lang.String user)` Unmerges a SystemObject merge.
`UpdateResult` | `updateEnterprise(java.sql.Connection con, EnterpriseObject eo, int flags, java.lang.String user)` Updates a particular EnterpriseObject
`UpdateResult` | `updateEnterprise(java.sql.Connection con, EnterpriseObject eo, java.lang.String revisionNumber, int flags, java.lang.String user)` Updates a particular EnterpriseObject
`UpdateResult` | `updateEnterprise(java.sql.Connection con, SystemObject so, EnterpriseObject eo, int flags, java.lang.String user)` Updates a particular EnterpriseObject with values from the specified SystemObject
`UpdateResult` | `updateEnterprise(java.sql.Connection con, SystemObject so, EnterpriseObject eo, java.lang.String revisionNumber, int flags, java.lang.String user)` Updates a particular EnterpriseObject with values from the specified SystemObject

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CHANGES_NEW

    static final java.lang.String CHANGES_NEW

See Also:
  Constant Field Values

### CHANGES_REMOVED

    static final java.lang.String CHANGES_REMOVED

See Also:
  Constant Field Values

Constructor Detail

### UpdateManagerImpl

    public UpdateManagerImpl()
                      throws java.lang.Exception

  Constructor to create update manager.

  Throws:
    `java.lang.Exception` - if error occurs

Method Detail

### activateEnterprise

    public UpdateResult activateEnterprise(java.sql.Connection con,
                                           EnterpriseObject eo,
                                           java.lang.String user)
                                    throws UpdateException,
                                           ObjectException,
                                           DataModifiedException

  Activates a particular EnterpriseObject

  Specified by:
    `activateEnterprise` in interface `UpdateManager`
  Parameters:
    `con` - connection
    `eo` - `EnterpriseObject` to be deactivated
    `user` - user
  Returns:
    an `UpdateResult` containing the affected EnterpriseObjects and transaction ID.
  Throws:
    `UpdateException` - error updating
    `ObjectException` - ObjectNode access exception. See com.sun.mdm.index.objects.ObjectNode
    `DataModifiedException` - data modification by concurrent user
  See Also:
    `com.sun.mdm.index.update.UpdateManagerEJB#activateEnterprise`

### addHelper

    public void addHelper(EnterpriseObject beforeEO,
                          EnterpriseObject curEO,
                          java.util.Map changes)
                   throws ObjectException

  Helper method for unmerging enterprise objects. Using a diff map, reconstruct the EO by keeping the changes made after the merge

  Parameters:
    `beforeEO` - image of the EnterpriseObject before the merge
    `curEO` - image of the EnterpriseObject as of now
    `changes` - diff map of changes
  Throws:
    `ObjectException` - ObjectNode access exception. See com.sun.mdm.index.objects.ObjectNode

### createEnterpriseObject

    public UpdateResult createEnterpriseObject(java.sql.Connection con,
                                               SystemObject so)
                                        throws SystemObjectException,
                                               UpdateException,
                                               ObjectException,
                                               UserException

  creates an EnterpriseObject given a SystemObject. Populates the SBR with values from the initial object and persists it in the database

  Specified by:
    `createEnterpriseObject` in interface `UpdateManager`
  Parameters:
    `con` - connection database connection
    `so` - `SystemObject` used to create `EnterpriseObject`
  Returns:
    an `UpdateResult` containing the affected EnterpriseObjects and transaction ID.
  Throws:
    `SystemObjectException` - `SystemObject` access exception `SystemObject` access exception
    `UpdateException` - error updating
    `ObjectException` - ObjectNode access exception. See com.sun.mdm.index.objects.ObjectNode
    `UserException` - general user exception
  See Also:
    `com.sun.mdm.index.update.UpdateManagerEJB#createEnterpriseObject`

### createEnterpriseObject

    public UpdateResult createEnterpriseObject(java.sql.Connection con,
                                               SystemObject[] so)
                                        throws SystemObjectException,
                                               UpdateException,
                                               SurvivorCalculationException,
                                               ObjectException,
                                               UserException

  creates an EnterpriseObject given a SystemObject. Populates the SBR with values from the initial object and persists it in the database

  Specified by:
    `createEnterpriseObject` in interface `UpdateManager`
  Parameters:
    `con` - connection
    `so` - array of `SystemObject` used to create the `EnterpriseObject`
  Returns:
    an `UpdateResult` containing the affected EnterpriseObjects and transaction ID.
  Throws:
    `SystemObjectException` - `SystemObject` access exception
    `UpdateException` - error updating
    `SurvivorCalculationException` - error calculating SBR
    `ObjectException` - ObjectNode access exception. See com.sun.mdm.index.objects.ObjectNode
    `UserException` - general user exception
  See Also:
    `com.sun.mdm.index.update.UpdateManagerEJB#createEnterpriseObject`

### deactivateEnterprise

    public UpdateResult deactivateEnterprise(java.sql.Connection con,
                                             EnterpriseObject eo,
                                             java.lang.String user)
                                      throws UpdateException,
                                             ObjectException,
                                             DataModifiedException

  Deactivates a particular EnterpriseObject

  Specified by:
    `deactivateEnterprise` in interface `UpdateManager`
  Parameters:
    `con` - connection
    `eo` - `EnterpriseObject` to be deactivated
  Returns:
    an `UpdateResult` containing the affected EnterpriseObjects and transaction ID.
  Throws:
    `UpdateException` - error updating
    `ObjectException` - ObjectNode access exception. See com.sun.mdm.index.objects.ObjectNode
    `DataModifiedException` - data modification by concurrent user
  See Also:
    `com.sun.mdm.index.update.UpdateManagerEJB#deactivateEnterprise`

### mergeEnterprise

    public UpdateResult mergeEnterprise(java.sql.Connection con,
                                        EnterpriseObject srcEO,
                                        EnterpriseObject destEO,
                                        int flags,
                                        java.lang.String user)
                                 throws SurvivorCalculationException,
                                        SystemObjectException,
                                        ObjectException,
                                        UpdateException,
                                        DataModifiedException,
                                        UserException

  Merges two `EnterpriseObject` by transfering all of the `SystemObject` from the source to the destination.

  Specified by:
    `mergeEnterprise` in interface `UpdateManager`
  Parameters:
    `con` - connection
    `srcEO` - the source of the transfers
    `destEO` - the destination of the transfers
    `flags` - optional flags
    `user` - user
  Returns:
    an `UpdateResult` containing the affected EnterpriseObjects and transaction ID.
  Throws:
    `SurvivorCalculationException` - error calculating SBR
    `SystemObjectException` - `SystemObject` access exception
    `ObjectException` - ObjectNode access exception. See com.sun.mdm.index.objects.ObjectNode
    `UpdateException` - error updating
    `DataModifiedException` - data modification by concurrent user
    `UserException` - general user exception
  See Also:
    `com.sun.mdm.index.update.UpdateManagerEJB#mergeEnterprise`

### mergeEnterprise

    public UpdateResult mergeEnterprise(java.sql.Connection con,
                                        EnterpriseObject srcEO,
                                        EnterpriseObject destEO,
                                        java.lang.String srcRevisionNumber,
                                        java.lang.String destRevisionNumber,
                                        int flags,
                                        java.lang.String user)
                                 throws SurvivorCalculationException,
                                        SystemObjectException,
                                        ObjectException,
                                        UpdateException,
                                        DataModifiedException,
                                        UserException

  Merges two `EnterpriseObject` by transfering all of the `SystemObject` from the source to the destination.

  Specified by:
    `mergeEnterprise` in interface `UpdateManager`
  Parameters:
    `con` - connection
    `srcEO` - the source of the transfers
    `destEO` - the destination of the transfers
    `srcRevisionNumber` - The SBR revision number or the surviving EnterpriseObject
    `destRevisionNumber` - The SBR revision number or the merged EnterpriseObject
    `flags` - optional flags
    `user` - user
  Returns:
    an `UpdateResult` containing the affected EnterpriseObjects and transaction ID.
  Throws:
    `SurvivorCalculationException` - error calculating SBR
    `SystemObjectException` - `SystemObject` access exception
    `ObjectException` - ObjectNode access exception. See com.sun.mdm.index.objects.ObjectNode
    `UpdateException` - error updating
    `DataModifiedException` - data modification by concurrent user
    `UserException` - general user exception

### mergeSystem

    public UpdateResult mergeSystem(java.sql.Connection con,
                                    EnterpriseObject srcEO,
                                    EnterpriseObject destEO,
                                    java.lang.String system,
                                    java.lang.String lid,
                                    SystemObject newSO,
                                    int flags,
                                    java.lang.String user)
                             throws SurvivorCalculationException,
                                    SystemObjectException,
                                    ObjectException,
                                    UpdateException,
                                    DataModifiedException,
                                    UserException

  Merge two system objects from two EnterpriseObjects. Transfers over the specified SystemObject, deactivates it, and update remaining SystemObject with values from newSO

  Specified by:
    `mergeSystem` in interface `UpdateManager`
  Parameters:
    `con` - connection
    `srcEO` - source of the transfer
    `destEO` - destination of the transfer
    `system` - SystemCode of the `SystemObject` to transfer
    `lid` - local id of the `SystemObject` to transfer
    `newSO` - merged image of the SystemObject
    `flags` - optional flags
    `user` - user
  Returns:
    an `UpdateResult` containing the affected EnterpriseObjects and transaction ID.* @throws SystemObjectException `SystemObject` access exception
  Throws:
    `SurvivorCalculationException` - error calculating SBR
    `SystemObjectException` - `SystemObject` access exception
    `ObjectException` - ObjectNode access exception. See com.sun.mdm.index.objects.ObjectNode
    `UpdateException` - error updating
    `DataModifiedException` - data modification by concurrent user
    `UserException` - general user exception
  See Also:
    `com.sun.mdm.index.update.UpdateManagerEJB#mergeSystem`

### mergeSystem

    public UpdateResult mergeSystem(java.sql.Connection con,
                                    EnterpriseObject srcEO,
                                    java.lang.String system,
                                    java.lang.String lid,
                                    SystemObject newSO,
                                    int flags,
                                    java.lang.String user)
                             throws SurvivorCalculationException,
                                    SystemObjectException,
                                    ObjectException,
                                    UpdateException,
                                    DataModifiedException,
                                    UserException

  merge two LID within the same EnterpriseObject and update the existing SystemObject with values from newSO

  Specified by:
    `mergeSystem` in interface `UpdateManager`
  Parameters:
    `con` - connection
    `srcEO` - source of the transfer
    `system` - SystemCode of the SystemObject to be removed
    `lid` - local ID of the SystemObject to be removed
    `newSO` - merged image of the SystemObject
    `flags` - optional flags
    `user` - user
  Returns:
    an `UpdateResult` containing the affected EnterpriseObjects and transaction ID.
  Throws:
    `SurvivorCalculationException` - error calculating SBR
    `SystemObjectException` - `SystemObject` access exception
    `ObjectException` - ObjectNode access exception. See com.sun.mdm.index.objects.ObjectNode
    `UpdateException` - error updating
    `DataModifiedException` - data modification by concurrent user
    `UserException` - general user exception
  See Also:
    `com.sun.mdm.index.update.UpdateManagerEJB#mergeSystem`

### removeHelper

    public void removeHelper(EnterpriseObject beforeEO,
                             java.util.Map changes)
                      throws ObjectException

  Helper method for unmerging enterprise objects. Using a diff map, reconstruct the EO by keeping the changes made after the merge

  Parameters:
    `beforeEO` - image of the EnterpriseObject before the merge
    `changes` - diff map of changes
  Throws:
    `ObjectException` - ObjectNode access exception. See com.sun.mdm.index.objects.ObjectNode

### removeSystem

    public UpdateResult removeSystem(java.sql.Connection con,
                                     EnterpriseObject srcEO,
                                     java.lang.String system,
                                     java.lang.String lid,
                                     java.lang.String user)
                              throws UpdateException,
                                     SurvivorCalculationException,
                                     SystemObjectException,
                                     ObjectException,
                                     DataModifiedException

  Removes a System Object from a Enterprise Object

  Specified by:
    `removeSystem` in interface `UpdateManager`
  Parameters:
    `con` - connection
    `srcEO` - source EnterpriseObject
    `system` - SystemCode of the SystemObject to be removed
    `lid` - local ID of the SystemObject to be removed
    `user` - user
  Returns:
    an `UpdateResult` containing the affected EnterpriseObjects and transaction ID.
  Throws:
    `UpdateException` - error updating
    `SurvivorCalculationException` - error calculating SBR
    `SystemObjectException` - `SystemObject` access exception
    `ObjectException` - ObjectNode access exception. See com.sun.mdm.index.objects.ObjectNode
    `DataModifiedException` - data modification by concurrent user
  See Also:
    `com.sun.mdm.index.update.UpdateManagerEJB#removeSystem`

### sameEO

    public java.util.Map sameEO(EnterpriseObject eo1,
                                EnterpriseObject eo2)
                         throws ObjectException

  identify which SO's are common to both EO's

  Parameters:
    `eo1` - Enterprise Object
    `eo2` - Enterprise Object
  Returns:
    map of SO common to eo2 and eo1.
  Throws:
    `ObjectException` - ObjectNode access exception.

### splitSystem

    public UpdateResult splitSystem(java.sql.Connection con,
                                    java.lang.String system,
                                    java.lang.String lid,
                                    EnterpriseObject eo,
                                    java.lang.String user)
                             throws UpdateException,
                                    SurvivorCalculationException,
                                    SystemObjectException,
                                    ObjectException,
                                    DataModifiedException,
                                    UserException

  Splits a SystemObject from its current EnterpriseObject and assign it to a new EnterpriseObject

  Specified by:
    `splitSystem` in interface `UpdateManager`
  Parameters:
    `con` - connection
    `system` - SystemCode
    `lid` - local ID
    `eo` - EnterpriseObject to removed the SystemObject from.
    `user` - user
  Returns:
    an `UpdateResult` containing the affected EnterpriseObjects and transaction ID.
  Throws:
    `UpdateException` - error updating
    `SurvivorCalculationException` - error calculating SBR
    `SystemObjectException` - `SystemObject` access exception
    `ObjectException` - ObjectNode access exception. See com.sun.mdm.index.objects.ObjectNode
    `DataModifiedException` - data modification by concurrent user
    `UserException` - general user exception
  See Also:
    `com.sun.mdm.index.update.UpdateManagerEJB#splitSystem`

### splitSystem

    public UpdateResult splitSystem(java.sql.Connection con,
                                    SystemObject so,
                                    EnterpriseObject eo,
                                    java.lang.String user)
                             throws UpdateException,
                                    SurvivorCalculationException,
                                    SystemObjectException,
                                    ObjectException,
                                    DataModifiedException,
                                    UserException

  Splits a SystemObject from its current EnterpriseObject and assign it to a new EnterpriseObject

  Specified by:
    `splitSystem` in interface `UpdateManager`
  Parameters:
    `con` - connection
    `so` - system objec to be split out
    `eo` - enterprise object to split from
    `user` - user
  Returns:
    an `UpdateResult` containing the affected EnterpriseObjects and transaction ID.
  Throws:
    `UpdateException` - error updating
    `SurvivorCalculationException` - error calculating SBR
    `SystemObjectException` - `SystemObject` access exception
    `ObjectException` - ObjectNode access exception. See com.sun.mdm.index.objects.ObjectNode
    `DataModifiedException` - data modification by concurrent user
    `UserException` - general user exception
  See Also:
    `com.sun.mdm.index.update.UpdateManagerEJB#splitSystem`

### transferSystem

    public UpdateResult transferSystem(java.sql.Connection con,
                                       EnterpriseObject srcEO,
                                       EnterpriseObject destEO,
                                       java.lang.String system,
                                       java.lang.String lid,
                                       java.lang.String user)
                                throws UpdateException,
                                       SurvivorCalculationException,
                                       SystemObjectException,
                                       ObjectException,
                                       DataModifiedException

  Transfer system object from source Enterprise Object to destination Enterprise Object

  Specified by:
    `transferSystem` in interface `UpdateManager`
  Parameters:
    `con` - connection
    `srcEO` - source of the transfer
    `destEO` - destination of the transfer
    `system` - system code of the `SystemObject` to transfer
    `lid` - local ID of the `SystemObject` to transfer
    `user` - user
  Returns:
    an `UpdateResult` containing the affected EnterpriseObjects and transaction ID.
  Throws:
    `UpdateException` - error updating
    `SurvivorCalculationException` - error calculating SBR
    `SystemObjectException` - `SystemObject` access exception
    `ObjectException` - ObjectNode access exception. See com.sun.mdm.index.objects.ObjectNode
    `DataModifiedException` - data modification by concurrent user
  See Also:
    `com.sun.mdm.index.update.UpdateManagerEJB#transferSystem`

### unmergeEnterprise

    public UpdateResult unmergeEnterprise(java.sql.Connection con,
                                          java.lang.String transactionID,
                                          int flag,
                                          java.lang.String user)
                                   throws UpdateException,
                                          SurvivorCalculationException,
                                          SystemObjectException,
                                          ObjectException,
                                          DataModifiedException,
                                          UserException

  unmerges an EnterpriseObject merge transaction

  Specified by:
    `unmergeEnterprise` in interface `UpdateManager`
  Parameters:
    `con` - connection
    `transactionID` - transaction ID to unmerge
    `flag` - optional flags
    `user` - user
  Returns:
    an `UpdateResult` containing the affected EnterpriseObjects and transaction ID.
  Throws:
    `UpdateException` - error updating
    `SurvivorCalculationException` - error calculating SBR
    `SystemObjectException` - `SystemObject` access exception
    `ObjectException` - ObjectNode access exception. See com.sun.mdm.index.objects.ObjectNode
    `DataModifiedException` - data modification by concurrent user
    `UserException` - general user exception
  See Also:
    `com.sun.mdm.index.update.UpdateManagerEJB#unmergeEnterprise`

### unmergeHelper

    public void unmergeHelper(EnterpriseObject beforeEO,
                              EnterpriseObject curEO,
                              java.util.Map changes)
                       throws ObjectException

  Helper method for unmerging enterprise objects. Using a diff map, reconstruct the EO by keeping the changes made after the merge

  Parameters:
    `beforeEO` - image of the EnterpriseObject before the merge
    `curEO` - image of the EnterpriseObject as of now
    `changes` - diff map of changes
  Throws:
    `ObjectException` - ObjectNode access exception. See com.sun.mdm.index.objects.ObjectNode

### unmergeSystem

    public UpdateResult unmergeSystem(java.sql.Connection con,
                                      java.lang.String transactionID,
                                      int flag,
                                      java.lang.String user)
                               throws UpdateException,
                                      SurvivorCalculationException,
                                      SystemObjectException,
                                      ObjectException,
                                      DataModifiedException,
                                      UserException

  Unmerges a SystemObject merge.

  Specified by:
    `unmergeSystem` in interface `UpdateManager`
  Parameters:
    `con` - connection
    `transactionID` - transaction ID of the SystemObject merge
    `flag` - optional flags
    `user` - user
  Returns:
    an `UpdateResult` containing the affected EnterpriseObjects and transaction ID.
  Throws:
    `UpdateException` - error updating
    `SurvivorCalculationException` - error calculating SBR
    `SystemObjectException` - `SystemObject` access exception
    `ObjectException` - ObjectNode access exception. See com.sun.mdm.index.objects.ObjectNode
    `DataModifiedException` - data modification by concurrent user
    `UserException` - general user exception
  See Also:
    `com.sun.mdm.index.update.UpdateManagerEJB#unmergeSystem`

### updateEnterprise

    public UpdateResult updateEnterprise(java.sql.Connection con,
                                         EnterpriseObject eo,
                                         int flags,
                                         java.lang.String user)
                                  throws UpdateException,
                                         SurvivorCalculationException,
                                         SystemObjectException,
                                         ObjectException,
                                         DataModifiedException,
                                         UserException

  Updates a particular EnterpriseObject

  Specified by:
    `updateEnterprise` in interface `UpdateManager`
  Parameters:
    `con` - connection
    `eo` - `EnterpriseObject` to be updated
    `flags` - optional flags
    `user` - user
  Returns:
    an `UpdateResult` containing the affected EnterpriseObjects and transaction ID.
  Throws:
    `UpdateException` - error updating
    `SurvivorCalculationException` - error calculating SBR
    `SystemObjectException` - `SystemObject` access exception
    `ObjectException` - ObjectNode access exception. See com.sun.mdm.index.objects.ObjectNode
    `DataModifiedException` - data modification by concurrent user
    `UserException` - general user exception
  See Also:
    `com.sun.mdm.index.update.UpdateManagerEJB#updateEnterprise`

### updateEnterprise

    public UpdateResult updateEnterprise(java.sql.Connection con,
                                         EnterpriseObject eo,
                                         java.lang.String revisionNumber,
                                         int flags,
                                         java.lang.String user)
                                  throws UpdateException,
                                         SurvivorCalculationException,
                                         SystemObjectException,
                                         ObjectException,
                                         DataModifiedException,
                                         UserException

  Updates a particular EnterpriseObject

  Specified by:
    `updateEnterprise` in interface `UpdateManager`
  Parameters:
    `con` - connection
    `eo` - `EnterpriseObject` to be updated
    `revisionNumber` - The revision number of the SBR of the associated SO.
    `flags` - optional flags
    `user` - user
  Returns:
    an `UpdateResult` containing the affected EnterpriseObjects and transaction ID.
  Throws:
    `UpdateException` - error updating
    `SurvivorCalculationException` - error calculating SBR
    `SystemObjectException` - `SystemObject` access exception
    `ObjectException` - ObjectNode access exception. See com.sun.mdm.index.objects.ObjectNode
    `DataModifiedException` - data modification by concurrent user
    `UserException` - general user exception

### updateEnterprise

    public UpdateResult updateEnterprise(java.sql.Connection con,
                                         SystemObject so,
                                         EnterpriseObject eo,
                                         int flags,
                                         java.lang.String user)
                                  throws UpdateException,
                                         SurvivorCalculationException,
                                         SystemObjectException,
                                         ObjectException,
                                         DataModifiedException,
                                         UserException

  Updates a particular EnterpriseObject with values from the specified SystemObject

  Specified by:
    `updateEnterprise` in interface `UpdateManager`
  Parameters:
    `con` - connection
    `so` - up-to-date `SystemObject` image
    `eo` - `EnterpriseObject` that the SystemObject belongs to
    `flags` - optional flags
    `user` - user
  Returns:
    an `UpdateResult` containing the affected EnterpriseObjects and transaction ID.
  Throws:
    `UpdateException` - error updating
    `SurvivorCalculationException` - error calculating SBR
    `SystemObjectException` - `SystemObject` access exception
    `ObjectException` - ObjectNode access exception. See com.sun.mdm.index.objects.ObjectNode
    `DataModifiedException` - data modification by concurrent user
    `UserException` - general user exception
  See Also:
    `com.sun.mdm.index.update.UpdateManagerEJB#updateEnterprise`

### updateEnterprise

    public UpdateResult updateEnterprise(java.sql.Connection con,
                                         SystemObject so,
                                         EnterpriseObject eo,
                                         java.lang.String revisionNumber,
                                         int flags,
                                         java.lang.String user)
                                  throws UpdateException,
                                         SurvivorCalculationException,
                                         SystemObjectException,
                                         ObjectException,
                                         DataModifiedException,
                                         UserException

  Updates a particular EnterpriseObject with values from the specified SystemObject

  Specified by:
    `updateEnterprise` in interface `UpdateManager`
  Parameters:
    `con` - connection
    `so` - up-to-date `SystemObject` image
    `eo` - `EnterpriseObject` that the SystemObject belongs to
    `revisionNumber` - The revision number of the SBR of the associated SO.
    `flags` - optional flags
    `user` - user
  Returns:
    an `UpdateResult` containing the affected EnterpriseObjects and transaction ID.
  Throws:
    `UpdateException` - error updating
    `SurvivorCalculationException` - error calculating SBR
    `SystemObjectException` - `SystemObject` access exception
    `ObjectException` - ObjectNode access exception. See com.sun.mdm.index.objects.ObjectNode
    `DataModifiedException` - data modification by concurrent user
    `UserException` - general user exception

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.